import { IFormatAdapter, Translation } from '../cli/interfaces';
export declare abstract class AdapterBase implements IFormatAdapter {
    private target;
    constructor(target: string);
    loadFile(filePath: string): Promise<Translation>;
    protected abstract doLoadFile(content: string): Promise<Translation>;
    loadLocales(locales: string[]): Promise<Translation[]>;
    write(translation: Translation): Promise<void>;
    protected abstract contentFor(translation: Translation): Promise<string>;
}
