import { ILocaleDef, ILiteralLocalizer, LocLiteral } from './interfaces';
export declare class Locale implements ILocaleDef {
    readonly id: string;
    localeDef: {
        [id: string]: string;
    };
    readonly literals: ILiteralLocalizer;
    readonly code: string;
    constructor(id: string, localeDef: {
        [id: string]: string;
    });
    localize(id: string, parts: TemplateStringsArray, placeholders: LocLiteral[]): string;
}
