"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loc = void 0;
const smartloc_1 = require("./smartloc");
const utils_1 = require("./utils");
function loc(idOrLiterals, ...ph) {
    if (typeof idOrLiterals === 'string') {
        const id = idOrLiterals;
        return (literals, ...placeholders) => {
            return new smartloc_1.SmartLoc(id, literals, placeholders);
        };
    }
    const autoId = utils_1.autoGenerateId(idOrLiterals);
    return new smartloc_1.SmartLoc(autoId, idOrLiterals, ph);
}
exports.loc = loc;
//# sourceMappingURL=tag.js.map