/**
 * Loads all locales generated from CLI
 * @param dirPath The file directory where to look for translation
 * @param merge If true, then the translations will be merged with already existing translations.
 */
export declare function loadAllLocales(dirPath: string, merge?: boolean): Promise<void>;
/**
 * Loads a locale generated from CLI
 * @param filePath The file path to load
 * @param merge If true, then the translations will be merged with already existing translations.
 */
export declare function loadLocale(filePath: string, merge?: boolean): Promise<boolean>;
